%define oname   httpauth

Name:       ruby-%{oname}
Version:    0.2.1
Release:    %mkrel 8
Summary:    Library for the HTTP Authentication protocol (RFC 2617)
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/Manfred/HTTPauth
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
HTTPauth is a library supporting the full HTTP Authentication protocol
as specified in RFC 2617; both Digest Authentication and Basic
Authentication.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc LICENSE README.md


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2.1-8.mga10
+ Revision: 2210970
- Mageia 10 Mass Rebuild

* Fri Mar 25 2022 umeabot <umeabot> 0.2.1-7.mga9
+ Revision: 1825987
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2.1-6.mga8
+ Revision: 1499797
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2.1-5.mga7
+ Revision: 1275138
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.2.1-4.mga6
+ Revision: 948163
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-3.mga5
+ Revision: 748545
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-2.mga5
+ Revision: 688835
- Mageia 5 Mass Rebuild

* Mon May 26 2014 pterjan <pterjan> 0.2.1-1.mga5
+ Revision: 626650
- Update to 0.2.1

* Sat Dec 28 2013 pterjan <pterjan> 0.2.0-8.mga4
+ Revision: 561980
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 0.2.0-7.mga4
+ Revision: 561313
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.2.0-6.mga4
+ Revision: 535412
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.2.0-5.mga4
+ Revision: 482103
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 0.2.0-4.mga4
+ Revision: 479917
- Fix file list
- Use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 0.2.0-3.mga3
+ Revision: 396058
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 381024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 0.2.0-1.mga3
+ Revision: 313706
- imported package ruby-httpauth

